It is currently Tue Nov 20, 2018 7:49 am

rSAP for Android Forum

Support forum for Android rSAP App

Test for 64 bit Qualcomm

Discussions about running the rSAP app on the Samsung Galaxy S II
 
Posts: 2
Joined: Sat Jan 13, 2018 9:12 pm

Re: Test for 64 bit Qualcomm

Post by DjDTM » Sun Feb 11, 2018 9:34 pm

admin wrote:The crash is a bug in the EFS Explorer. It happens when there is no permission for the file operation. Usually you can grant the missing permission by activating the "factory test mode". But this is where the problems continue: it looks like recent phones can no longer enable the factory test mode, and it looks like even on some phones QPST is able to mess up the EFS memory, which may lead to all kinds of problems, see viewtopic.php?f=61&t=1853.

Remember that the QPST is an internal tool from Qualcomm and not officially supported, so be happy if it helps. If it does not work on your phone you are most probably out of luck. Sorry.


After I upgraded to Android O, I've found in the 'uim' Folder by using the QPST Explorer now the file 'auth_security_restrictions'.
This is new. Before that, I never found any file there.
But by copy the 'sap_security_restrictions' file into the folder the program also crashed.

The 'factory test mode' doesn't take any effect. Only my 4G connection is disabled, that I could only usw WiFi. So I must change back to 0X00 and after reboot it's working. Don't know why?!

Any ideas again?
Can I change the name from auth to sap?

 
Posts: 4089
Joined: Wed Mar 23, 2011 4:12 pm

Re: Test for 64 bit Qualcomm

Post by admin » Mon Feb 12, 2018 9:34 pm

I guess you also cannot change the existing file's name, you simply do not have the necessary rights without the factory mode.

So far I gave up trying to find a solution for the phones where you cannot activate the factory mode. Sorry.

 
Posts: 4
Joined: Fri Oct 12, 2018 5:47 pm

Re: Test for 64 bit Qualcomm

Post by Piet » Fri Oct 12, 2018 5:58 pm

Hello, rSAP worked perfect on my Samsung S4Mini I9195 with LineageOS 14.1.
After upgrading to LOS 15.1 i donT have a SIM-connection. It says: Parameter 'StatusChange' hat nicht den Wert 'CardReset'
qmi_error=QMI_ERR_UIM_NOT_INITIALIZED. When i retry it says: Zeitüberschreitung beim warten auf GET_VERSION (Timeout while waiting for GET_VERSION)
Is there any chance to fix it ?
Thank you, Pete

Previous

Return to Samsung Galaxy S II I9100

Who is online

Users browsing this forum: No registered users and 1 guest